GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::VerifyKeyDetailBox Class Reference
Inheritance diagram for GpgFrontend::UI::VerifyKeyDetailBox:
Collaboration diagram for GpgFrontend::UI::VerifyKeyDetailBox:

## Public Member Functions
| VerifyKeyDetailBox (const GpgSignature &signature, QWidget *parent)
| Construct a new Verify Key Detail Box object. More...

## Private Slots
void | slot_import_form_key_server ()

## Private Member Functions
QGridLayout * | create_key_info_grid (const GpgSignature &signature)
| Create a key info grid object. More...

## Private Attributes
std::string | fpr_

## Constructor & Destructor Documentation

## ◆ VerifyKeyDetailBox()

GpgFrontend::UI::VerifyKeyDetailBox::VerifyKeyDetailBox | ( | const GpgSignature & | signature,
|  | QWidget * | parent
| ) |  |
| explicit

Construct a new Verify Key Detail Box object.

Parameters

  signature |
  parent |

References create_key_info_grid(), GpgFrontend::GpgSignature::GetFingerprint(), and GpgFrontend::GpgSignature::GetStatus().

## Member Function Documentation

## ◆ create_key_info_grid()

QGridLayout * GpgFrontend::UI::VerifyKeyDetailBox::create_key_info_grid | ( | const GpgSignature & | signature | ) |
| private

Create a key info grid object.

Parameters

  signature |

Returns
  QGridLayout*

References GpgFrontend::beautify_fingerprint(), GpgFrontend::GpgKey::GetEmail(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKey(), GpgFrontend::GpgKey::GetName(), GpgFrontend::GpgSignature::GetSummary(), and GpgFrontend::GpgKey::IsGood().

Referenced by VerifyKeyDetailBox().

The documentation for this class was generated from the following files:

- src/ui/widgets/VerifyKeyDetailBox.h
- src/ui/widgets/VerifyKeyDetailBox.cpp